#!/bin/sh
# syntax for compiling with cc
# one file: cc foobar.c // ful compilation
# more files: cc foo.c bar.c
# output: a.out // as executable
# run: cc -o foo foo.c // output foo as executable
# check syntax: cc -c foo.c
# RUN this file with: sh /home/ahr/M1/run_1c.sh lsn_01a

CCR_cmd="$1"
CCR_pgm="${0##*/}"
CCR_pth="/home/ahr/M1"
CCR_fle="${CCR_pth}/${CCR_cmd}"

clear; echo ""; echo "";
if [ ! -z "$CCR_cmd" ]; then
        if [ ! -x "${CCR_fle}.c" ]; then
                chmod +x ${CCR_fle}.c
        fi

        # compile with cc
        echo "COMPILING: ${CCR_fle}.c"
        cc -o ${CCR_fle} ${CCR_fle}.c

        echo ""; echo "";

        # execute
        echo "EXECUTING: "${CCR_fle}; echo "";
        ${CCR_fle}

        sleep 2; echo ""; echo "";

        rm ${CCR_fle}
else
        echo "Don't know what to compile!"
        echo "Invoke: ./${CCR_pgm} file-name (without .c)"
        echo "--to compile and see results"
    echo ""; echo "";
fi
